Page MenuHomePhabricator

Finish deprecation of RequestContext::getStats()
Closed, ResolvedPublic

Description

RequestContext::getStats() was deprecated in rECIR6a664900446cf968a688f886efe0128063a1f18d in favor of MediaWikiServices. The remaining uses should be removed and wfDeprecated added.

Event Timeline

Cenarium created this task.Jan 31 2017, 3:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2017, 3:41 PM
Cenarium updated the task description. (Show Details)Jan 31 2017, 3:42 PM

Change 348462 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/AbuseFilter@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348462

Change 348463 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/BounceHandler@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348463

Change 348464 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/CentralAuth@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348464

Change 348465 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/Collection@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348465

Change 348466 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/Scribunto@master] Remve usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348466

Change 348468 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/WikimediaEvents@master] Removw usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348468

Change 348469 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/extensions/WikimediaMaintenance@master] Remove usage or RequestContext::getStats()

https://gerrit.wikimedia.org/r/348469

Change 348470 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/core@master] Remove usages of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348470

Florian claimed this task.Apr 17 2017, 3:12 PM

Change 348466 merged by jenkins-bot:
[mediawiki/extensions/Scribunto@master] Remve usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348466

Change 348468 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348468

Change 348465 merged by jenkins-bot:
[mediawiki/extensions/Collection@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348465

Change 348470 merged by jenkins-bot:
[mediawiki/core@master] Remove usages of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348470

Change 348469 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@master] Remove usage or RequestContext::getStats()

https://gerrit.wikimedia.org/r/348469

Change 348462 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348462

Change 348463 merged by jenkins-bot:
[mediawiki/extensions/BounceHandler@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348463

Change 348464 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Remove usage of RequestContext::getStats()

https://gerrit.wikimedia.org/r/348464

Florian closed this task as Resolved.Jul 6 2017, 2:50 PM